commit d67dbec16dc4467df5646cf59c0160e08496d0dd
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Wed Oct 15 16:01:04 2008 -0500

    update TOC to 3.0

commit bf6091aaf1bdf5ab0d2c529c79b5bb79c8ce6276
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue Oct 14 19:50:04 2008 -0500

    Remove LibMobHealth-4.0 references

commit 1bc87f35512eff8ffe02dc62467b7c72314065ec
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Fri Jul 18 17:39:30 2008 -0500

    Fix a bug with misreported errors

commit c2b9aaf6d51814486ab1819f06cfaec932b82fa0
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Fri Jul 18 10:13:39 2008 -0500

    Add DEATHKNIGHT to classes.

commit 020de7e603001f9fa4cf6da4edf3c2182a2d3818
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Thu Jul 17 17:55:50 2008 -0500

    Change data structure to send talent id and rank instead of spell id, which was inaccurate.

commit 94a93944abbd1d0f5cd76849f53aafb535e3396b
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Thu Jul 17 17:12:11 2008 -0500

    Only add loot that you pick up to recent items.

commit 999b33dfdc9bfe976384318876cc50e74e338ce8
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue Jul 8 17:04:35 2008 -0500

    Fake commit

commit 111c48d57e4ca03d8f535711ef202a0d554f62b1
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sun Jun 22 10:25:40 2008 -0500

    Fix a typo

commit 8ba0cdbfc68f3e038a41389e89af06e04bc321a0
Merge: 2274929... 6eb386e...
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat Jun 21 16:10:48 2008 -0500

    Merge branch 'master' of git@git.curseforge.net:wow/curse-profiler-2/mainline

commit 6eb386e4001147d8b570097b5e7920a24bdbcc78
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat Jun 21 15:09:11 2008 -0500

    Fix GetMerchantItemCostItem call

commit 99f962c0f5161820656cb3af1720bd93b2bb86f7
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat Jun 21 14:58:12 2008 -0500

    Change UInt32 to Int32

commit c06e9bc00f057453da5f9b31bc4790bd6dcc2067
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat Jun 21 14:56:33 2008 -0500

    fix a small typo. i => itemNum

commit a354c24b6c026008935b3b92fe1188278a27b45e
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat Jun 21 13:04:43 2008 -0500

    Track the totem costs for vendor items.
    Also make the honor, arena, and rating required points uint32 instead of int16

commit 22749298bb2afa5f0e29aeee6ae83659c1c984a1
Merge: 51e160c... 028cd09...
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat Jun 21 12:37:12 2008 -0500

    Merge branch 'master' of git@git.curseforge.net:wow/curse-profiler-2/mainline

commit 51e160cf0cb2b55f47feb3057caac00bb395aa11
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat Jun 21 11:23:34 2008 -0500

    Fix a potential error when quantity is received as <0

commit 028cd099b952e954e4550738d8963abf44d44e51
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Fri Jun 20 17:18:50 2008 -0500

    Change the way that honor, arena points, and required rating are stored.

commit bae568f4196c200bf8e18ffa57c55f72777102ce
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Fri Jun 20 16:45:44 2008 -0500

    Change faction gains to be Int32 instead of Int16, as someone got a gain of 42k.
    Change NPC merchants to track honor points, arena points, and rating costs.

commit f0570caf8189e1ea488d714a0dc0b73328829509
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Fri Jun 20 09:56:17 2008 -0500

    Add double protection so that if a name is not passed to IsLootOfCooldown, it'll automatically return false

commit bd44f1ca82f5ba8aa44acfcc9648b3e3cf037d15
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Fri Jun 20 09:52:05 2008 -0500

    Add a fix if for some reason spell target can't be found out but spell id is.

commit 49a96aaf4f195e14c82319d429efe0428b8ec112
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Thu Jun 19 15:28:50 2008 -0500

    Fix an issue for talents with only one rank

commit f568b1b4d3a4626a7a8aec9fcd82f7f1b4d74cc6
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Thu Jun 19 14:46:59 2008 -0500

    Bugfix

commit 537fcb57b59348a95549d8949afb70a11be69278
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Thu Jun 19 13:07:17 2008 -0500

    A slightly more efficient approach

commit 4eec38688ea44c937357ba07613e5ca560508d5a
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Thu Jun 19 12:50:25 2008 -0500

    Add in support for 2.4.3's talent links

commit b58e5ccc683af68cd46aef6411c3a1845eb5a71c
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat Jun 14 16:02:13 2008 -0500

    Add a fix to make it stop serializing on death.

commit 4cd2198fae70ea81c01823e5e2b7e2e2f67f2131
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Mon Jun 9 15:11:12 2008 -0500

    Due to the possibility that CurseProfiler might serialize more than once, get rid of any old data after serialization instead of keeping it around forever.
    Also get rid of a few SETGLOBALs.

commit 3025b37d2faf5600b5813d26bc60894079668da0
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Wed May 21 23:25:08 2008 -0500

    Remove legacy code

commit 7dbbd63b74715303297ad7d3ce4b2ef763168dbd
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Wed May 21 18:57:39 2008 -0500

    Add fishing nodes

commit 1e667f1b589da57d06bb5cd5749194228efde8ee
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Wed May 21 18:51:43 2008 -0500

    Change the way versioning is handled

commit 2fbfcba2db6148b08e186b707a7e0fa03e22487d
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Wed May 21 18:11:51 2008 -0500

    add embeds.xml

commit 52af0123bef089fb3abfde7614ce49ebd350f6d8
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Wed May 21 17:59:31 2008 -0500

    Remove ending space

commit 3a383b09f7c55f60fe6edc30ee94e2250e55a000
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Wed May 21 17:59:12 2008 -0500

    Only replace name, race, and class if they are the full word.

commit 83e62e3d4ceae5ce3cbe79e03fda82d36ec31401
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat May 17 17:35:00 2008 -0500

    If detecting you have no max mana, then don't replace good data with nil

commit 1fe9e1d6e3f545ca2d3995622b11b69fcd659114
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Wed May 14 09:39:36 2008 -0500

    Fix an issue with quest titles being treated as ids

commit 8e7d4c656ace012a9717f9400b481664e79b34bc
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Mon May 12 08:11:14 2008 -0500

    Fix the "bad type" message for integers
    Fix an issue where the title of a quest was treated as its id

commit 67ae4aae52ba0296e130a7a3459630434d4de73c
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat May 10 23:50:56 2008 -0500

    Remove the percentage indicator from combat ratings.

commit 94a6e00db9776ceb6e4e78d107105a14b20af05b
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat May 10 18:07:33 2008 -0500

    Add some checks for GetItemInfo

commit 59bb6d7bbaf10622e6bd71c7e774371b13f2b385
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat May 10 16:30:29 2008 -0500

    Apparently you can gather herbs and mine on some NPCs. This is now supported.

commit 815177a1c46ee3bc9285bcdad3a5a78dae76877e
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat May 10 14:44:28 2008 -0500

    Possible bugfix

commit 2b28480fd17ef651dcddfe6326d4a5740d721e58
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat May 10 11:13:03 2008 -0500

    Fix a logic error

commit 5131908c062d71d7a7b70ef0adfa6b3fc73882b3
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat May 10 11:11:46 2008 -0500

    Fix an issue where if people click "Exit Now" their data wouldn't be saved.

commit 3bf29c6d3def421ab1909a7a138fcc410c51e169
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat May 10 11:05:43 2008 -0500

    Mitigate an issue where skills would show up blank.

commit d578a980fc41da48ba1ef8c0b3c5d9603dc148ed
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sat May 10 10:58:32 2008 -0500

    Fix a bad bug where disenchanting and prospecting weren't picking up data.

commit 6277d29cad8d72ba5879c07d42371733c5e5b46a
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Thu May 8 16:16:52 2008 -0500

    Include the CurseProfiler version along with errors.

commit af4a191194f9c8145cd569aba060dfd0c55167d6
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Thu May 8 15:49:58 2008 -0500

    Stop a table index is nil error

commit 649ba438e5c6ef8a20883b5bba3b21620a8419fe
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Wed May 7 09:08:50 2008 -0500

    Lua is 1-indexed, not 0-indexed.

commit b04441e4e5336dd242d9ed78d79adf8f78edc404
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue May 6 20:12:04 2008 -0500

    Check items earlier for bad data.
    If max health can't be determined, don't serialize.

commit ff9183aa2a840337de3c2a409bd24f336cdb76c3
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue May 6 17:45:59 2008 -0500

    Don't barf on level == -1, just coerce that to 0

commit d7bf906b5a9bfb6920b1f7bc864850d0801d8867
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue May 6 15:25:32 2008 -0500

    Add some more safeties in case functions don't exist or the like.

commit 343ab04b0494efc2c590163048b2db84ffdf9162
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue May 6 15:04:52 2008 -0500

    Fix an issue with quest ids not being caught properly.

commit 1eae0a48954a7b05fb59a0131e77da953146737d
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue May 6 14:49:12 2008 -0500

    Make AmmoSlot data show at the end instead of the beginning.

commit 728bf16e1fd09f8f25a6e9c0dca345facab0d3eb
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue May 6 14:48:49 2008 -0500

    Make AmmoSlot data show at the end instead of the beginning.

commit b3c199ebce2226f355032e3ab9395d2f4f0c417e
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue May 6 08:48:21 2008 -0500

    Fix an issue where integers are never serialized.

commit a8ad2c9a893f0ba849f86d67cb09b965e53cbd26
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Mon May 5 22:46:47 2008 -0500

    Make the integer serialization potentially safer, and provide more information when it does break.
    Change the way GUIDs are looked at to determine mobID. Also, ignore any mobIDs that are <= 1.

commit e0004aaca334424165c0c4eee80e0179ef6997c9
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Mon May 5 18:16:55 2008 -0500

    Act a lot more cautious when dealing with serialization.

commit 84448fcad1a7725fe8bb70a567c56a82dfe0619b
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sun May 4 19:16:50 2008 -0500

    Fix a bug with coin parsing causing a nil error.
    Silently fail on QUEST_COMPLETE if the ID cannot be determined

commit 0845f51cd9afd6a639cbb5df2ca6f7a4b4043c94
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Tue Apr 29 14:44:33 2008 -0500

    Update TOC

commit fa713fbd84a06877b1c07a3a384c914a1952424c
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Mon Apr 21 10:51:43 2008 -0500

    Change the way locale lookups are done, so that it checks _G["LOCALE_" .. locale] instead of GetLocale() but possibly LOCALE_enGB. This is important for esMX

commit 13bc2647f36d557a5aec889be8e6b40975409236
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Fri Apr 18 16:34:32 2008 -0500

    Add the locale to the beginning of the serialized string (in an unserialized manner), so that Kolie can interpret it very easily.

commit 05551b0fe406540129c03e3b1bc24247105198b1
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Fri Apr 18 12:23:18 2008 -0500

    If run as a git project instead of an archive, assume debug mode.
    Only output the debug SVs if in debug mode.

commit 50ecbf0797f75e60c1395986467ffa9f75b91229
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sun Apr 13 21:26:59 2008 -0500

    Make sure to use internalVersion instead of date

commit bb324a3f92115ac3928f31bf8c0ba3b43297cecb
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sun Apr 13 21:18:25 2008 -0500

    Use a different versioning system

commit 7e2c2b79fbf542213e1b61b80999d5d36e453a83
Author: Cameron Kenneth Knight <ckknight@gmail.com>
Date:   Sun Apr 13 21:16:46 2008 -0500

    Initial commit
